Add the Wiki pages' hierarchy on the URL path

2015-12-16 17:43 - Maxmiliano Andriani

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I'm trying to create a fully software documentation on Redmine's Wiki, and just realised one limitation on Wiki's implementation.

It would be nice if Redmine's Wiki put on the URL the full path of a Page, something like:

/wiki/Development/Configurations/Enviroment

/wiki/Development/Configurations/Server

/wiki/Development/Standards

 This feature is important because is very hard solve the name conflicts when you are creating new pages. If you want to create tow

pages "Standards", one to developers and other to designers, it is not possible now. You have to hack with use of '-'

wiki/Developers/CompanyStandards

wiki/Designers/CompanyStandards

wiki/Developers-CompanyStandards

wiki/Designers-CompanyStandards

 Other point is that if the url show the hierarchy, it would be easy to understand the information architecture of text.

Related issues:

Is duplicate of Redmine - Feature #1213: Allow Slashes in wiki URLs New 2008-05-08

History

#1 - 2016-01-08 12:03 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #1213.

#2 - 2016-01-08 12:04 - Toshi MARUYAMA

- Is duplicate of Feature #1213: Allow Slashes in wiki URLs added
